/* Base Elements */
body {
    font-family: serif;
    background-color: #fff;
    color: #000;
    padding: 10px 20px;
}

table {
    border-collapse: collapse;
    border: 1px solid black;

    th {
        font-weight: bold;
    }

    th, td {
        border: 1px solid black;
        padding: 4px 8px;
        text-align: center;
        min-width: 30px;
        height: 30px;
    }

    caption {
        text-align: left;
        font-weight: bold;
        margin-bottom: 5px;
    }
}

/* Layout Containers */
.controls {
    p {
      margin: 10px 0;
    }
}

.container {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.bottom-row {
    display: flex;
    gap: 40px;
    align-items: flex-start;
    width: 100%;
}

/* Table Specifics */
.non-pulmonic, .vowels {
    width: 50%;
}

.non-pulmonic {
    td {
        text-align: left;
    }
}

.vowel-chart {
    position: relative;
    width: 400px;
    height: 300px;
    border: none;

    td {
        border: none;
    }
}

/* Phoneme utility Classes */
a.phoneme {
    display: inline-block;
    transition: transform 0.1s;
    cursor: pointer;
    text-decoration: none;
    color: blue;

    &.highlighted {
        background-color: #ffff99;
    }
}

.row-label {
    text-align: left;
    font-weight: normal;
}

.impossible {
    background-color: #ddd;
}

.ipa-pair {
    display: flex;
    justify-content: space-around;
    gap: 10px;
    font-size: 1.2em;
}
